/* luafaudes_observer.hpp - Lua bindings for some observer plugin functions */

/* luafaudes - FAUDES Bindings for Lua

   Copyright (C) 2008 Thomas Moor
   Exclusive copyright is granted to the Lehrstuhl fuer Regelungstechnik
   at the University of Erlangen-Nuernberg, Germany

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */


#ifndef LUAFAUDES_OBSERVER_H
#define LUAFAUDES_OBSERVER_H

#include "luafaudes_common.hpp"
#include "luafaudes_gen_class.hpp"
#include "luafaudes_eset_class.hpp"
#include "op_observer.h"

int CalcAbstAlphObs(lua_State* L);
int InsertRelabeledEvents(lua_State* L);

int HelpObserver(lua_State* L);


void RegisterObserverFunctions(lua_State* L);

#endif



